Summary: Red Hat Network Services registration program.
Name: rhn_register
Version: 1.3.2
Release: 1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: python >= 1.5.2
Requires: rpm-python >= 4.0.2 python-xmlrpc >= 1.4
Requires: sh-utils
Obsoletes: rhns_register

%description
Allows you to register your system with Red Hat Network Services.

%package gnome
Summary: GUI client for the RHN registration program.
Group: System Environment/Base
Requires: %{name} = %{version}
Requires: usermode >= 1.33
Requires: pam >= 0.72
Requires: redhat-logos
Requires: pygnome pygtk pygtk-libglade pygnome-libglade
Obsoletes: rhns_register-gnome


%description gnome
GNOME interface to the RHN registration program. Runs if X Windows is
available.

%prep
%setup -q

%build
make

%install
# ONLY for 6.x builds
#cp rhn_register.pam6x rhn_register.pam

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install mandir=%{buildroot}%{_mandir}

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/rhn_register.desktop << EOF
[Desktop Entry]
Name=Red Hat Network
Comment=Client to register and access Red Hat Network.
Icon=redhat/shadowman-round-48.png
Exec=/usr/share/rhn/rhn_icon_helper
Type=Application
Terminal=false
EOF

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn

%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/rhn_register
/usr/sbin/rhn_register
/usr/share/rhn/register/config.*
/usr/share/rhn/register/text_config.*
/usr/share/rhn/register/translate.*
/usr/share/rhn/register/tui.*
/usr/share/rhn/register/hardware.*
/usr/share/rhn/register/rhnreg.*

%files gnome
%defattr(-,root,root)
%config /etc/X11/applnk/System/rhn_register.desktop
%config(noreplace) /etc/security/console.apps/rhn_register
%config(noreplace) /etc/pam.d/rhn_register
/usr/bin/rhn_register
/usr/lib/desktop-links/rhn_register-install.sh
/usr/share/rhn/rhn_icon_helper
/usr/share/rhn/register/*.png
/usr/share/rhn/register/gui.*
/usr/share/rhn/register/progress.*
/usr/share/rhn/register/checklist.*

%changelog
* Tue Apr 10 2001 Preston Brown <pbrown@redhat.com>
- fix for bad hostname setup traceback (#35440)

* Fri Apr  6 2001 Preston Brown <pbrown@redhat.com>
- fix up translation stuff

* Mon Apr  2 2001 Preston Brown <pbrown@redhat.com>
- also chkconfig rhnsd on upon successful registration

* Tue Mar 27 2001 Preston Brown <pbrown@redhat.com>
- start rhnsd upon successful registration if available (#33422)

* Mon Mar 26 2001 Preston Brown <pbrown@redhat.com>
- make sure that large amounts of mem/swap don't overflow our variable (#33088)

* Mon Mar  5 2001 Preston Brown <pbrown@redhat.com>
- don't traceback on ctrl-c in text config (#29142).

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- skip personal info screen if they are adding a new system to an existing 
  registered account.

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- desktop icon runs rhn_register or update agent depending on registration 
  status.
- optional system id/serial number field added.

* Thu Jan 25 2001 Preston Brown <pbrown@redhat.com>
- email address is no longer optional.

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- bump version
- integrate translations

* Sat Jan 20 2001 Adrian Likins <alikins@redhat.com>
- fix for text_config and config

* Fri Jan 19 2001 Jay Turner <jkt@redhat.com>
- added text_config text mode configuration
- added python wrapper
- added proxy support

* Wed Jan 10 2001 Jay Turner <jkt@redhat.com>
- added systemid backup functionality

* Tue Dec 19 2000 Preston Brown <pbrown@redhat.com>
- remove wording related specifically to Red Hat Linux 7.

* Wed Dec 15 2000 Preston Brown <pbrown@redhat.com>
- remove explicit newt dependency
- fix pam stuff

* Tue Dec 12 2000 Preston Brown <pbrown@redhat.com>
- slight specfile fixes for 6.x release
- give note about Update Agent usage (#21313)

* Sun Aug 27 2000 Preston Brown <pbrown@redhat.com>
- work around gtk problem with some labels on the hardware screen not showing
- platform-independent when reading cpuinfo out of /proc
- not sure what is up with the gtk label stuff.

* Fri Aug 25 2000 Preston Brown <pbrown@redhat.com>
- crucial TUI fixes for FatalErrorWindow

* Thu Aug 24 2000 Preston Brown <pbrown@redhat.com>
- bump version
- change way packagelist is built in gui to match tui, which works when
  there are multiple packages w/the same name in the RPM database.
- install desktop icon
- translatable strings included.

* Mon Aug 22 2000 Preston Brown <pbrown@redhat.com>
- explicit requirement on the correct version of newt.
- include tui, remove console module
- include artwork

* Mon Aug 21 2000 Preston Brown <pbrown@redhat.com>
- read glade file for progress bar from proper location

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- profile.d scripts are gone
- move console-helper stuff to gnome subpkg.


* Wed Aug 09 2000 Preston Brown <pbrown@redhat.com>
- first cut.
- do not depend on usermode for this release.
